---
concourse_setup: docker
concourse_db_setup: docker

concourse_version: 7.8.3
concourse_oci_image: docker.io/concourse/concourse:{{concourse_version}}
concourse_setup_web: false
concourse_setup_worker: false

concourse_server_name: "{{inventory_hostname}}"
concourse_cluster_name: "{{concourse_server_name}}"

concourse_tsa_host: "{{ (concourse_setup == 'docker') | ternary('concourse-web','localhost') }}"

concourse_keys_directory: "{{concourse_directory}}/keys"
concourse_work_directory: "{{concourse_directory}}/work"
concourse_certs_directory: "{{concourse_directory}}/certs"

concourse_with_database: "{{concourse_setup_web}}"
concourse_db_host: concourse-db # localhost
concourse_db_name: concourse
concourse_db_user: concourse


concourse_web_env_listen_mode: http_in_container_network

concourse_acme_url: https://acme-v02.api.letsencrypt.org/directory

concourse_bind_ip: "172.31.80.1"  # custom IPv4 proxy network
concourse_bind_port: "8047"

concourse_service_url: http://concourse-web:8080

concourse_docker_workers_network: concourse-workers
concourse_docker_db_network: concourse-db
concourse_docker_proxy_network: proxy

concourse_oidc_client_id: "{{concourse_server_name}}"
concourse_oidc_issuer: "https://{{keycloak_server_name}}/realms/{{keycloak_realm}}"

concourse_with_keycloak_client: "{{concourse_setup_web}}"
concourse_keycloak_client_auth_keycloak_url:  "https://{{keycloak_server_name}}"
concourse_keycloak_client_auth_client_id: admin-cli
concourse_keycloak_client_auth_realm: "{{keycloak_management_realm|default('master')}}"
concourse_keycloak_client_auth_username: "{{keycloak_management_user|default('admin')}}"
concourse_keycloak_client_auth_password: "{{keycloak_management_pass}}"
concourse_keycloak_client_validate_certs: true

concourse_keycloak_client_url: "https://{{ keycloak_server_name }}"
concourse_keycloak_client_realm_url: "{{concourse_keycloak_client_url}}/realms/{{concourse_keycloak_client_realm}}"
concourse_keycloak_client_client_id: "{{ concourse_oidc_client_id }}"
concourse_keycloak_client_realm: "{{ keycloak_realm }}"
concourse_keycloak_client_redirect_uris: 
  - https://{{ concourse_server_name }}/*
concourse_keycloak_client_secret: "{{concourse_oidc_client_secret}}"

concourse_with_corporate_proxy: false
concourse_http_proxy: "{{proxy_url}}"
concourse_https_proxy: "{{proxy_url}}"
concourse_no_proxy: []

concourse_with_traefik: "{{concourse_setup_web}}"
